# Default configuration file
# Note: You can customize the settings in this file but no setting should be
# removed. Otherwise, KW may not work properly.

#? Attention, when using "./setup.sh -i":
#? - USERKW will be replaced by the current user
#? - SOUNDPATH will be replaced by kw's install path

# Default ssh user
ssh_user=root

# Default ssh ip
ssh_ip=localhost

# Default ssh port
ssh_port=22

# Optional ssh configuration file to be used
#ssh_configfile=~/.ssh/config
# Hostname of the target in ssh_configfile
#hostname=

# Defines the virtualization tool that should be used by kw. Current, we only
# support QEMU
virtualizer=qemu-system-x86_64

# Defines the kw mount point, this directory is used by libguestfs during the
# mount/umount operation of a VM
mount_point=/home/USERKW/p/mount

# Sets basic QEMU options
qemu_hw_options=-enable-kvm -daemonize -smp 2 -m 1024

# Defines the network configuration
qemu_net_options=-nic user,hostfwd=tcp::2222-:22,smb=/home/USERKW

# Specify the VM image path
qemu_path_image=/home/USERKW/p/virty.qcow2

# Default alert options (You should use vs, s, v or n. See README.md for details
# on this options)
alert=n

# Command to run for sound completion alert (This command will be executed in
# the background)
sound_alert_command=paplay SOUNDPATH/complete.wav

# Command to run for visual completion alert (This command will be executed in
# the background)
# Note: You may use $COMMAND, which will be replaced by the kw command
#       whose conclusion the user wished to be alerted.
# Note: The below command is an example that may work in many different
#       distros, but we cannot guarantee it. For this reason, check if it works
#       in your favorite OS or replaces it for your preferred notification
#       tool.
visual_alert_command=notify-send -i checkbox -t 10000 "kw" "Command: \\"$COMMAND\\" completed!"

# Sometimes it could be bothersome to pass the same parameter for kw deploy;
# here, you can set the default target. We define `vm` as the default, but
# you can also use `local` and `remote`.
default_deploy_target=remote

# If you want to reboot your target machine after the deploy gets done, you can
# change the option `reboot_after_deploy` from "no" to "yes".
reboot_after_deploy=no

# Disable kw statistics collection, if you disable this data collection the
# `statistics` options will be disabled as well. Add "yes" for disabling it.
disable_statistics_data_track=no

# Set a specific command to activate the GUI
#gui_on=systemctl isolate graphical.target
# Set a specific command to deactivate the GUI
#gui_off=systemctl isolate multi-user.target
